/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package reedSolomon;

/**
 * Field of real numbers. Only division behaves quite differently.
 * 
 * @author Admin
 */
public class RealField implements iField{

    public int add(int a, int b) {
        return a + b;
    }

    public int substract(int a, int b) {
        return a - b;
    }

    public int multiply(int a, int b) {
        return a * b;
    }

    public int divide(int a, int b) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
